#voka-quiz-modal{
    display: none; 
    position: fixed; 
    top: 0; 
    left: 0; 
    bottom: env(safe-area-inset-bottom, 0);
    width: 100%; 
    height: calc(100dvh - env(safe-area-inset-bottom, 0)); 
    background: #0B152166;
    z-index: 1000;
}

#voka-quiz-close-btn{
    position: absolute; 
    background: none; 
    border: none; 
    cursor: pointer;
    top: 14px;
    right: 14px;
    width: 32px;
    height: 32px;
    padding: 0;
    z-index: 4;
    box-sizing: content-box;
}

#voka-quiz-close-btn path{
    transition: 0.3s;
}

.quiz-modal-block{
    position: absolute; 
    top: 50%; 
    left: 50%; 
    transform: translate(-50%, -50%); 
    background: var(--white); 
    padding: 10px 6px 0 32px;
    border-radius: 20px; 
    width: 980px; 
    max-height: calc(100vh - 2*100px); 
    overflow-y: hidden;
}

.quiz-modal-content{
    width: 100%;
    height: 100%;
    overflow-y: auto;
    padding-right: 20px;
    padding-top: 24px;
    max-height: calc(100vh - 2*100px - 10px); 

    scrollbar-width: thin;
    scrollbar-color: #DFE5ED transparent;
}

#voka-quiz-form{
    display: flex;
    width: 100%;
    flex-direction: column;
    align-items: stretch;
    gap: 32px;
}

.results-text-mobile{
    display: none;
}

.quiz-title-block{
    display: flex;
    align-items: start;
    gap: 12px;
    flex-direction: column;
    width: 100%;
    padding-right: 20px;
}

.quiz-title-block .h4-title{
    color: var(--black);
}

.quiz-title-desc{
    display: flex;
    align-items: center;
    gap: 6px;
    width: 100%;
}

.quiz-title-desc .small-text-semibold{
    color: var(--grey);
}

.voka-question{
    margin-bottom: 8px;
    scroll-margin-top: 60px;
}

.voka-question .h5-title{
    color: var(--black);
    margin-bottom: 20px;
}

.voka-question .main-text-medium{
    color: var(--black);
}

.voka-question input{
    display: none;
}

.voka-question label{
    padding: 20px;
    cursor: pointer;
    display: flex;
    align-items: start;
    gap: 12px;
    width: 100%;
    background-color: var(--grey-bg);
    border-radius: 12px;
    border: 1px solid transparent;
    transition: 0.3s;
}

.voka-question label>div{
    width: 24px;
    height: 24px;
    flex-shrink: 0;
    display: none;
    padding: 1px 0;    
    align-items: center;
    justify-content: center;
}

.voka-question label:has(input:checked){
    background: var(--accent-highlight);
    border-color: var(--light-accent);
}

.voka-question label:not(:last-of-type){
    margin-bottom: 12px;
}

.voka-error{
    display: none;
    color: #F13A4C;
    font-family: Manrope;
    font-size: 16px;
    font-style: normal;
    font-weight: 700;
    line-height: 16px; /* 100% */
    padding: 6px 20px;
    margin-top: 12px;
}

[dir=rtl] .voka-error{
    font-family: "Noto Sans Arabic";
}

#voka-quiz-form>button{
    width: fit-content;
    padding: 12px 24px; 
    background-color: var(--accent); 
    color: white;
    border: none; 
    border-radius: 100px; 
    transition: 0.3s;
    white-space: nowrap;
    margin-bottom: 40px;
}

#voka-quiz-results{
    display: flex;
    gap: 20px;
    align-items: center;
    padding-bottom: 40px;
    margin-bottom: 40px;
    scroll-margin-top: 12px;
    border-bottom: 1px solid var(--very-light-grey);
}

#voka-quiz-open-btn{
    width: fit-content;
    padding: 12px 20px; 
    background-color: var(--accent); 
    border: none;
    color: var(--white);
    border-radius: 100px; 
    transition: 0.3s;
    white-space: nowrap;

    text-align: center;
    font-family: Manrope;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 150%; /* 24px */
}

[dir=rtl] #voka-quiz-open-btn{
    font-family: "Noto Sans Arabic";
}

#voka-quiz-results button{
    width: fit-content;
    padding: 12px 20px; 
    background-color: transparent; 
    border: 1px solid var(--accent);
    color: var(--accent);
    border-radius: 100px; 
    transition: 0.3s;
    white-space: nowrap;
}

.quiz-chart-container{
    width: 90px !important;
    height: 90px !important;
    position: relative;
    flex-shrink: 0;
}

.quiz-chart {
    width: 100%;
    height: 100%;
}
.quiz-chart-percentage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--black);
}

.quiz-container{
    display: flex;
    width: 100%;
    align-items: center;
    gap: 20px;
    padding: 16px;
    border-radius: 10px;
    background: var(--light-blue-bg);
    margin-bottom: 40px;
}

.quiz-container-info{
    display: flex;
    flex:1;
    align-items: start;
    gap: 12px;
}

.quiz-count-container{
    display: flex;
    flex-direction: column;
    align-items: start;
    width: 100%;
    gap: 2px;
}

.quiz-sticky-title-block{
    display: flex;
    align-items: center;
    width: 100%;
    padding: 14px 60px 14px 32px;
    min-height: 32px;
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.10);
    transition: 0.3s;
    position: absolute;
    top: 0;
    left: 0;
    background: var(--white);
    z-index: 3;
    transform: translateY(-60px);
}

.quiz-sticky-title-block.active{
    transform: none;
}

.quiz-sticky-title-block .main-text-bold{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 3px 0;
}

#voka-quiz-result-text{
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 4px;
}

#voka-quiz-result-text a, .results-text-mobile a{
    text-decoration: underline;
    color: var(--accent);
    transition: 0.3s;
}

#voka-quiz-container .loader{
    width: 32px;
    height: 32px;
    flex-shrink: 0;
    align-self: center;
    animation: l13 1s infinite linear;
}

@keyframes l13{ 
    100%{transform: rotate(1turn)}
}

@media (hover:hover){
    #voka-quiz-close-btn:hover path{
        fill: var(--light-grey);
    }

    .voka-question label:hover{
        background: var(--accent-highlight);
    }

    #voka-quiz-form>button:hover{
        background-color: var(--light-accent);
    }

    #voka-quiz-result-text a:hover, .results-text-mobile a:hover{
        color: var(--light-accent);
    }

    #voka-quiz-results button:hover{
        border: 1px solid var(--light-accent);
        color: var(--light-accent);
    }

    #voka-quiz-open-btn:hover{
        background-color: var(--light-accent); 
    }
}

@media (max-width: 1919px){
    .quiz-modal-block{
        max-height: calc(100vh - 2*80px); 
        padding: 10px 4px 0 32px;
    }

    .quiz-modal-content{
        max-height: calc(100vh - 2*80px - 10px); 
    }

    .quiz-container{
        margin-bottom: 32px;
        align-items: center;
    }
}

@media (max-width: 1439px){
    .quiz-modal-block{
        width: 800px;
        padding: 10px 4px 0 24px;
        border-radius: 16px;
        max-height: calc(100vh - 2*40px); 
    }

    .quiz-modal-content{
        padding-right: 12px;
        padding-top: 12px;
        max-height: calc(100vh - 2*40px - 10px); 
    }

    .voka-question .h5-title{
        margin-bottom: 16px;
    }

    .voka-question label{
        padding: 16px;
    }

    .voka-question{
        margin-bottom: 0px;
    }

    #voka-quiz-results{
        padding-bottom: 32px;
        margin-bottom: 32px;
        padding-top: 8px;
    }

    .quiz-container{
        padding: 16px;
        border-radius: 10px;
    }

    .quiz-container-info{
        gap: 10px;
    }

    #voka-quiz-form>button{
        margin-bottom: 32px;
    }

    .quiz-sticky-title-block{
        padding: 14px 60px 14px 24px;
    }

    .quiz-sticky-title-block .main-text-bold{
        padding: 4px 0;
    }
}

@media (max-width: 1079px){
    .voka-question label{
        gap: 8px;
    }

    .voka-question label>div{
        padding: 0;
    }

    .quiz-container{
        display: none;
    }

    #voka-quiz-modal{
        align-items: end;
    }

    .quiz-modal-block {
        width: 100%;
        position: absolute; /* Изменено с static на absolute для точного позиционирования */
        max-height: calc(100dvh - env(safe-area-inset-bottom, 0) - 40px);
        height: auto;
        top: auto;
        left: 0;
        bottom: 0; /* Устанавливаем внизу, чтобы модальное окно прилипало к нижней части */
        border-radius: 16px 16px 0 0;
        padding: 10px 4px env(safe-area-inset-bottom, 0) 24px;
        transform: translateY(100%); /* Начальное положение за экраном */
        transition: transform 0.4s ease;
    }

    .quiz-modal-block.active{
        transform: translateY(0); /* на месте */
    }

    .quiz-modal-content {
        max-height: calc(100dvh - env(safe-area-inset-bottom, 0) - 40px - 10px);
        padding-right: 12px;
        padding-top: 12px;
        padding-bottom: calc(env(safe-area-inset-bottom, 0)); /* Добавляем дополнительный отступ для адресной строки */
        overflow-y: auto;

        scrollbar-width: thin;
        scrollbar-color: #DFE5ED transparent;
    }

    #voka-quiz-form>button {
        margin-bottom: calc(env(safe-area-inset-bottom, 0) + 32px); /* Добавляем отступ снизу для кнопки */
    }

    #voka-quiz-close-btn{
        top: 0px;
        right: 0px;
        padding: 10px;
    }

    #voka-quiz-results{
        padding-top: 12px;
    }

    .quiz-sticky-title-block .main-text-bold{
        padding: 0;
    }
}

@media (max-width: 659px){
    #voka-quiz-results{
        flex-wrap: wrap;
    }

    #voka-quiz-result-text{
        flex: 1;
    }

    #voka-quiz-results .button-container{
        margin-left: auto;   
        flex-basis: 100%;
        margin-left: 0;     
        width: auto;
    }

    [dir=rtl] #voka-quiz-results .button-container{
        margin-right: auto;   
        margin-right: 0;   
    }
}

@media (max-width: 577px){
    .quiz-title-block{
        gap: 10px;
    }

    #voka-quiz-results{
        padding-top: 4px;
        gap: 12px;
    }

    #voka-quiz-results .small-text-semibold{
        display: none;
    }

    #voka-quiz-results button{
        width: 100%;
    }

    .quiz-chart-container{
        width: 68px !important;
        height: 68px !important;
    }

    .quiz-chart-container svg{
        width: 68px !important;
        height: 68px !important;
    }

    .quiz-modal-block{
        border-radius: 16px 16px 0 0;
        padding: 10px 4px env(safe-area-inset-bottom, 0) 16px;
    }

    #voka-quiz-form>button{
        width: 100%;
    }

    .quiz-modal-content{
        padding-right: 8px; 
        max-height: calc(100dvh - env(safe-area-inset-bottom) - 40px - 10px); 
    }

    .results-text-mobile{
        display: inline-block !important;
        width: 100%;
    }

    #voka-quiz-results .button-container{
        margin-top: 8px;
    }
}